Contacts and results
List campaign contacts
Browse a campaign’s contacts with limit and offset pagination, filter by contact status, or search for a specific number.
GET
/
api
/
v1
/
account
/
{account_id}
/
campaigns
/
{campaign_id}
/
contacts
List campaign contacts
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/contacts \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/contacts"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));GET https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/contacts
Authentication required
X-Auth-ID— your Vobiz account IDX-Auth-Token— your Vobiz auth token
string
required
Your Vobiz account ID. Use the same value in
X-Auth-ID.string
required
Your Vobiz account ID, for example
MA_XXXXXXXX.string
required
The campaign whose contacts you want to browse.
integer
default:"20"
Number of contacts to return per page.
integer
default:"0"
Number of contacts to skip before returning results.
string
Filter by contact state:
pending, dialling, answered, no_answer, busy, failed, retry_pending, or expired.string
Find a specific destination number.
Example
cURL
curl "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/contacts?limit=20&offset=0&status=answered" \
-H "X-Auth-ID: {account_id}" \
-H "X-Auth-Token: {auth_token}"
{ objects, total }, where total is the unpaginated count for the applied filters.Was this page helpful?
⌘I
List campaign contacts
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/contacts \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/contacts"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));